import React, { Component } from 'react';
import { AppRegistry, ListView, Text, View, Image } from 'react-native';

// Represents each row in the table
class Employee extends Component {
  render() {

    let pic = {
      uri: this.props.pic
    };

    return (
        <View style={{flex: 1, height:120}}>
          <View style={{flex:1, flexDirection:'row'}}>
            {/* A JSX comment */}
            <Image source={pic} style={{width: 100, height: 100, borderRadius:50, marginTop:20, marginLeft:12}}/>
            <View style={{flex:1, flexDirection:'column', marginLeft:12}}>
              <View style={{flex:1}}></View>
              <View style={{flex:1}}>
                <View style={{height:10}}></View>
                <Text>{this.props.name}</Text>
                <Text style={{color:'#999999', fontSize:12}}>{this.props.position}</Text>
              </View>
              <View style={{flex:1}}></View>
            </View>
          </View>
        </View>
    );
  }
}

// the employee list component
export default class DirectoryList extends Component {
  // Initialize the hardcoded data
  constructor(props) {
    super(props);
    const ds = new ListView.DataSource({rowHasChanged: (r1, r2) => r1 !== r2});
    this.state = {
      dataSource: ds.cloneWithRows([
        <Employee name='Q Manning' position='Chief Executive Officer' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414219946/voikht0roststsxngetk.jpg'/>, 
        <Employee name='Peter Yoder' position='Chief Operating Officer' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414219933/fcaovrtnqgv4xxieyb3p.jpg'/>,
        <Employee name='Michael Manning' position='Chief Relationship Officer' pic='http://rs-web.s3.amazonaws.com/b4387de3729c8933093bb1e0eb77f102.jpg'/>,
        <Employee name='Chris Lindenmayer' position='Creative Director' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414219718/umztahynxq2ykit0w3e7.jpg'/>,
        <Employee name='Jason Bender' position='Director of Development' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414425240/zkygtvuxa8a5q1kmbaky.jpg'/>,
        <Employee name='John Gholson' position='Director of Creative Development' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414357705/o6vpccgdcrfbrliukulg.jpg'/>,
        <Employee name='Daniel Burgess' position='Business Development' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414357769/jigujcq86rbixph3uakv.jpg'/>,
        <Employee name='RJ Nye' position='Graphic Designer' pic='http://res.cloudinary.com/rocksauce-studios/image/upload/v1414219957/v0qp100qxys48lilyuqa.jpg'/>,
        <Employee name='Ashley Landavazo' position='Office & Operations Manager' pic='http://rs-web.s3.amazonaws.com/1be7681a3c62777c60fe81d8419e1c44.jpg'/>
      ])
    };
  }
  render() {
    return (
        <ListView
          dataSource={this.state.dataSource}
          renderRow={(rowData) => rowData}
          style={{marginTop:20}}
        />
    );
  }
}
